<?php
return [
  'databases' => function() {
    $arr = [
      'databases' => [
        ORM::DEFAULT_CONNECTION => (object) [
          'engine' => 'mysql',
          'name' => $_ENV['MYSQL_DATABASE'],
          'host' => (object) [
            'name' => 'db'
          ],
          'user' => (object) [
            'name' => $_ENV['MYSQL_USER'],
            'password' => $_ENV['MYSQL_PASSWORD']
          ]
        ]
      ],
      'short_names' => true
    ];
    return (object) $arr;
  },
  'folders' => function() {
    $arr = ['base' => dirname(__DIR__, 2)];
    $arr['resources'] = implode(DIRECTORY_SEPARATOR, [
      $arr['base'],
      'resources'
    ]);
    $arr['routes'] = implode(DIRECTORY_SEPARATOR, [
      $arr['resources'],
      'routes'
    ]);
    return (object) $arr;
  }
];
